<!DOCTYPE html>
<html>
<body>
    <h1>Submit your comment !</h1>

    <form action="/" method="POST">
        <label for="title">Title:</label><br>
        <input type="text" id="title" name="title"><br>
        <label for="msg">Message:</label><br>
        <textarea type="text" id="msg" name="msg"></textarea><br>
        <label for="img">image url:</label><br>
        <textarea type="text" id="img" name="img"></textarea><br><br>
        <input type="submit" value="Submit">
    </form>

    <div class="comments">
        <% comments.forEach((comment)=> { %>

            <div class="comment">
                <!-- TODO: 6 - Use secure tag -->
                <h2>
                    <%- comment.title %>
                </h2>
                <p class="commentMsg">
                    <%- comment.msg %>
                </p>
                <!-- TODO: 5 - use single quotes -->
                <!-- <img src="<%- comment.img %>" alt="Image not found"> -->
                <img src='<%- comment.img %>' alt="Image not found">
            </div>

            <% }); %>
    </div>

</body>
</html>

<style>
    #title {
        resize: both;
    }

    .comments {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
    }

    .comment {
        border: solid black 1px;
        margin-top: 10px;
        width: 300px;
    }

    .commentMsg {
        text-align: center;
    }
</style>